Subject: [Gen-art] Genart review of draft-snell-atompub-feed-license-10.txt

From: Robert Sparks <[email-masked]>
Date: Fri, 5 Jan 2007 10:08:36 -0600

I am the assigned Gen-ART reviewer for draft-snell-atompub-feed- 
license-10.txt

Summary: This individual submission is ready for publication as an  
Experimental RFC

I previously reviewed this draft at -07 during IETF Last Call. That  
review is copied below for convenience.
The concerns have been sufficiently addressed by the current version  
of the draft.

My remaining comments (not intended to suggest changes to the draft  
at this point) are that it's still hard to find text to
help correct someone that misinterprets the license assertion to  
cover the bits pointed to rather than the bits
in the feed itself. I was initially a little unsettled by the  
creation and use of a URI (http://purl.org/atompub/license#unspecified)
in an uncontrolled space to have special meaning, but Lisa assures me  
this is normal practice.

RjS

Begin forwarded message:

> From: Robert Sparks <[email-masked]>
> Date: August 28, 2006 2:12:32 PM CDT
> To: [email-masked], [email-masked], [email-masked]
> Subject: Genart LC review of draft-snell-atompub-feed-license-07.txt
>
> I am the assigned Gen-ART reviewer for draft-snell-atompub-feed- 
> license-07.txt
>
> For background on Gen-ART, please see the FAQ at <http:// 
> www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html>.
>
> Please resolve these comments along with any other Last Call  
> comments you may receive.
>
> Summary:
> This is an AD-sponsored individual submission for consideration as  
> an Experimental RFC.
> The draft has a few open issues (mostly around clarity) that should  
> be resolved before publication.
>
> Overall, I found this document confusing. I had to go through it  
> several times before I felt like I knew what it was trying to  
> accomplish. With that done, I can't figure out why it's trying to  
> do what it's doing.
>
> --------
> Issue 1:
> It's not clear why this is Experimental from the current document  
> text (research, limited applicability,...?).
> Would an applicability statement make sense?
>
> --------
> Issue 2:
>
> What's covered by the license claim is still hard to pull out of  
> the document - the paragraphs added for version 07 help. The  
> following paragraph starts to capture the intent (I think), but the  
> document would benefit from making this a more immediate and  
> central point:
>
>>    Because entries contained within a feed may originate from other
>>    sources, "license" link relations appearing within a feed apply to
>>    the metadata of the containing feed element only and do not extend
>>    over the metadata or content of the contained entries.
>
> I read this to say that the license covers only those bits inside  
> the <feed> element that contains the license link, but no bits  
> inside any <entry> elements that <feed> element might contain.
>
> This is the real requirement and should be stated normatively. The  
> following paragraphs are justification for the requirement. The  
> point would be better made if they didn't have the normative text  
> they currently have. (Unless I've missed the point off the document).
> ------
> Issue 3:
>
> It would help a lot to describe (even if that means speculate) what  
> a person or automaton will do when consuming this new data. I'm  
> having a hard time guessing what this would be used for (assuming  
> I've understood the requirement as stated in issue 2 correctly).
>
> ------
> Issue 4:
>
> This example is confusing:
>
>>    Multiple "license" link relations specifying different href  
>> attribute
>>    values are are considered to be mutually exclusive  
>> alternatives.  For
>>    instance, if an entry specifies both a Creative Commons License  
>> and
>>    the General Public License (GPL), the entry is considered to be
>>    licensed as either Creative Commons OR GPL as opposed to Creative
>>    Commons AND GPL.
>
> I think you're trying to say that the format will allow your <feed>  
> meta-data to be dual- or multi-licensed and the example is showing  
> how it can express that. If I'm correct, saying it that way might  
> reach a wider audience. Finding a concrete example of something you  
> might dual-license in such a way would help. I'm having a hard time  
> coming up with something that would appear with the dual-license  
> structure you show as an example here.
>
> (btw - if the text above survives, there is a duplicated "are" in  
> the first sentence)
> ------
>
>
>
>

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art